Bug 1018057 - Review Request: golang-googlecode-goprotobuf - Go support for Google protocol buffers
Review Request: golang-googlecode-goprotobuf - Go support for Google protocol...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1018477 1018540
  Show dependency treegraph
 
Reported: 2013-10-11 02:09 EDT by Lokesh Mandvekar
Modified: 2015-05-26 17:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: golang-googlecode-goprotobuf-0-0.14.gitefd7476.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 12:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-10-11 02:09:17 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-protobuf.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-protobuf-0-0.1.hg61664b8425f3.fc21.src.rpm

Description: 
Go support for Google protocol buffers

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6049447

$ rpmlint SPECS/golang-googlecode-protobuf.spec SRPMS/golang-googlecode-protobuf-0-0.1.hg61664b8425f3.fc21.src.rpm RPMS/noarch/golang-googlecode-protobuf-devel-0-0.1.hg61664b8425f3.fc21.noarch.rpm
SPECS/golang-googlecode-protobuf.spec:38: W: setup-not-quiet
golang-googlecode-protobuf.src:38: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Note: This package uses code.google.com/p/goprotobuf . There's also code.google.com/p/protobuf, but I'm guessing the distinction is clear because of the _golang_ in the package name

Also, should this block Bug 1005504 (already closed) ?
Comment 1 Vincent Batts 2013-10-11 09:53:29 EDT
I do not suppose there is any harm in having the Provides: include the /testdata directories. Often these directories only have *_test.go source (if any source at all), so they would not be import'able.
Comment 2 Matthew Miller 2013-10-11 10:43:34 EDT
(In reply to Lokesh Mandvekar from comment #0)
> Note: This package uses code.google.com/p/goprotobuf . There's also
> code.google.com/p/protobuf, but I'm guessing the distinction is clear
> because of the _golang_ in the package name

I think it's better to leave the extra "go" in there -- it makes it more clear even if it's a bit unwieldy. Also matches what Debian is doing, where they use golang-godebiancontrol as an example. (On the other hand, they leave out the full path unless there's a conflict. I think what we're doing with always including it (the "googlecode" part) is better because it's basically just coincidence which one we package first if there are overlaps.
 
> Also, should this block Bug 1005504 (already closed) ?

No, that ship has sailed. :) I filed bug #1018007 for these.
Comment 3 Matthew Miller 2013-10-11 13:45:31 EDT
It looks like this package has two parts: goprotobuf/proto, the library, and goprotobuf/protoc-gen-go, a protocol compiler plugin. I _think_ etcd just needs the former, and already has its code generated.

I think we probably should include both, possibly as different subpackages.

Or, maybe we keep the goprotobuf/proto part in the devel package and build protoc-gen-go as part of the base package (which would then be arch-specific because protoc-gen-go is a binary).
Comment 4 Lokesh Mandvekar 2013-10-12 05:22:06 EDT
%changelog
* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.hg61664b8425f3
- compiler plugin in archful base package
- libraries in noarch (except rhel6) devel subpackage


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-goprotobuf.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-goprotobuf-0-0.2.hg61664b8425f3.fc21.src.rpm

$ rpmlint RPMS/x86_64/golang-googlecode-goprotobuf-0-0.2.hg61664b8425f3.fc21.x86_64.rpm
golang-googlecode-goprotobuf.x86_64: W: unstripped-binary-or-object /usr/bin/protoc-gen-go
golang-googlecode-goprotobuf.x86_64: E: statically-linked-binary /usr/bin/protoc-gen-go
golang-googlecode-goprotobuf.x86_64: W: no-manual-page-for-binary protoc-gen-go
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Note: 1. Should the docs go with base package or devel subpackage? (currently going with base)

2. with base package:-  Requires: protobuf (not entirely sure)

3. Installing only the binary and not the .a archives (for now)

4. Current location of protoc-gen-go binary is /usr/bin, but README suggests $GOPATH/bin
Comment 5 Lokesh Mandvekar 2013-10-12 05:28:36 EDT
(In reply to Vincent Batts from comment #1)
> I do not suppose there is any harm in having the Provides: include the
> /testdata directories. Often these directories only have *_test.go source
> (if any source at all), so they would not be import'able.

sending new release with testdata removed, in a bit.
Comment 6 Lokesh Mandvekar 2013-10-12 05:32:59 EDT
%changelog
* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.hg61664b8425f3
- testdata directories excluded

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-goprotobuf.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-goprotobuf-0-0.3.hg61664b8425f3.fc21.src.rpm
Comment 7 Matthew Miller 2013-10-14 11:14:40 EDT
> Note: 1. Should the docs go with base package or devel subpackage?
> (currently going with base)
 
Base is okay if the devel package depends on the base. (Which it might as well.)


> 2. with base package:-  Requires: protobuf (not entirely sure)

Yes, because it doesn't make sense without.
 
> 3. Installing only the binary and not the .a archives (for now)

Right.


> 4. Current location of protoc-gen-go binary is /usr/bin, but README suggests
> $GOPATH/bin

I tested it and that's okay. It just needs to be in the developer's $PATH ultimately.
Comment 8 Matthew Miller 2013-10-14 11:15:20 EDT
Also note that this one is a dependency of go-raft, not etcd directly. (That doesn't affect this spec file, just noting.)
Comment 9 Matthew Miller 2013-10-14 13:44:17 EDT
This one looks good except either


Option A: The -devel package should Require the base package. (Requires: %{name} = %{version}-%{release})

Option B: Since there's no real hard requirement, don't do that, but instead include the documentation in the devel package as well as in the base.
Comment 10 Lokesh Mandvekar 2013-10-14 22:41:40 EDT
> Option B: Since there's no real hard requirement, don't do that, but instead
> include the documentation in the devel package as well as in the base.

-- Choosing this.

%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.hg61664b8425f3
- defattr removed
- docs included in base and devel packages


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-goprotobuf.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-goprotobuf-0-0.4.hg61664b8425f3.fc21.src.rpm
Comment 11 Matthew Miller 2013-10-14 23:00:50 EDT
Review passed, with the caveat that Go packaging guidelines are still in draft form and so we may need to update this.

Also, as I'm looking, I think it'd be good to have the base package description be


  This package provides support for protocol buffers in the form of a protocol 
  compiler plugin which generates Go source files that, once compiled, can access
  and manage protocol buffers.

  Install %{name}-devel for the associated support library.


and then for devel

  This package provides  a library that implements run-time support for
  encoding (marshaling), decoding (unmarshaling), and accessing protocol
  buffers in the Go language.

  Install %{name} for the related protocol compiler plugin.
Comment 12 Lokesh Mandvekar 2013-10-14 23:18:41 EDT
%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.hg61664b8425f3
- description update

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-googlecode-goprotobuf.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-googlecode-goprotobuf-0-0.5.hg61664b8425f3.fc21.src.rpm
Comment 13 Lokesh Mandvekar 2013-10-14 23:19:54 EDT
New Package SCM Request
=======================
Package Name: golang-googlecode-goprotobuf
Short Description: Go support for Google protocol buffers
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 14 Jens Petersen 2013-10-15 01:56:19 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-10-16 06:57:49 EDT
golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.fc20
Comment 16 Fedora Update System 2013-10-16 06:58:01 EDT
golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.el6
Comment 17 Fedora Update System 2013-10-16 06:58:12 EDT
golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.fc19
Comment 18 Fedora Update System 2013-10-17 14:02:06 EDT
golang-googlecode-goprotobuf-0-0.6.hg61664b8425f3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 19 Fedora Update System 2013-10-18 11:55:35 EDT
golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.fc20
Comment 20 Fedora Update System 2013-10-18 12:46:36 EDT
golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.el6
Comment 21 Peter Lemenkov 2013-10-23 07:09:52 EDT
Package Change Request
======================
Package Name: golang-googlecode-goprotobuf
InitialCC: golang-sig
Comment 22 Gwyn Ciesla 2013-10-23 10:07:20 EDT
Done.
Comment 23 Fedora Update System 2013-11-03 12:56:29 EST
golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-11-10 01:34:55 EST
golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Troy Dawson 2014-07-22 16:17:40 EDT
Package Change Request
======================
Package Name: golang-googlecode-goprotobuf
New Branches: epel7
Owners: tdawson maxamillion
Comment 26 Gwyn Ciesla 2014-07-23 06:03:50 EDT
Git done (by process-git-requests).
Comment 27 Fedora Update System 2015-01-26 09:09:33 EST
golang-googlecode-goprotobuf-0-0.10.git7f07925.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.10.git7f07925.fc20
Comment 28 Fedora Update System 2015-01-26 09:09:51 EST
golang-googlecode-goprotobuf-0-0.10.git7f07925.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.10.git7f07925.fc21
Comment 29 Fedora Update System 2015-01-26 09:13:22 EST
golang-googlecode-goprotobuf-0-0.10.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.10.git7f07925.el6
Comment 30 Fedora Update System 2015-01-30 07:47:45 EST
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20
Comment 31 Fedora Update System 2015-01-30 07:48:09 EST
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21
Comment 32 Fedora Update System 2015-01-30 11:13:24 EST
golang-googlecode-goprotobuf-0-0.11.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.el6
Comment 33 Fedora Update System 2015-02-07 19:28:57 EST
golang-googlecode-goprotobuf-0-0.12.git7f07925.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.12.git7f07925.fc20
Comment 34 Fedora Update System 2015-02-07 19:29:18 EST
golang-googlecode-goprotobuf-0-0.12.git7f07925.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.12.git7f07925.fc21
Comment 35 Fedora Update System 2015-02-07 19:29:42 EST
golang-googlecode-goprotobuf-0-0.12.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.12.git7f07925.el6
Comment 36 Fedora Update System 2015-02-08 03:58:11 EST
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2015-02-08 03:59:19 EST
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2015-02-17 03:06:07 EST
golang-googlecode-goprotobuf-0-0.12.git7f07925.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 39 Fedora Update System 2015-02-17 03:07:16 EST
golang-googlecode-goprotobuf-0-0.12.git7f07925.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 40 Fedora Update System 2015-02-23 11:10:44 EST
golang-googlecode-goprotobuf-0-0.12.git7f07925.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2015-03-05 06:32:24 EST
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc20
Comment 42 Fedora Update System 2015-03-05 06:32:42 EST
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc21
Comment 43 Fedora Update System 2015-03-05 06:33:00 EST
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc22
Comment 44 Fedora Update System 2015-03-05 06:33:16 EST
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.el6
Comment 45 Fedora Update System 2015-03-13 13:10:55 EDT
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 46 Fedora Update System 2015-03-14 05:12:13 EDT
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 47 Fedora Update System 2015-03-14 05:17:26 EDT
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 48 Fedora Update System 2015-03-25 16:01:11 EDT
golang-googlecode-goprotobuf-0-0.13.gitc22ae3c.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2015-05-10 11:44:13 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc22
Comment 50 Fedora Update System 2015-05-10 11:44:39 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc21
Comment 51 Fedora Update System 2015-05-10 11:45:08 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc20
Comment 52 Fedora Update System 2015-05-10 11:46:31 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.14.gitefd7476.el6
Comment 53 Fedora Update System 2015-05-25 23:45:43 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 54 Fedora Update System 2015-05-25 23:49:32 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 55 Fedora Update System 2015-05-25 23:50:55 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 56 Fedora Update System 2015-05-26 17:26:39 EDT
golang-googlecode-goprotobuf-0-0.14.gitefd7476.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.